/*Кнопка Х*/
body:has(> .ws1 .cashier-page) .popup .cmd-close{
  width: 32px;
  height: 32px;
  right: 0;
  top: 0;
}

body:has(> .ws1 .cashier-page) .popup .popup-head{
  height: 32px;
  line-height: 32px;
}

/*Увеличенные нижние кнопки попапов*/
body:has(> .ws1 .cashier-page) .popup .popup-buttons .button{
  font-size: 16px;
  line-height: 28px;
}

/*Увеличенные элементы меню*/
body:has(> .ws1 .cashier-page) .menu-tab .items .item .name {
  font-size: 16px;
  line-height: 28px;
}

/*Увеличенные тумблеры*/
body:has(> .ws1 .cashier-page) .field.check.toggle-a label.check {
  width: 60px;
  height: 30px;
}

body:has(> .ws1 .cashier-page) .field.check.toggle-a label.check:before {
  width: 20px;
  height: 20px;
}

body:has(> .ws1 .cashier-page) .field.check.toggle-a .field-label{
  margin-top: 6px;
}

/*Увеличенные кнопки*/
.button-b-touch {
  font-size: 16px;
  min-height: 48px;
  min-width: 210px;
  height: 1px;
}

.button-b-touch span.text {
  display: block;
  height: 100%;
  align-content: center;
}

/*Группа с элементами по центру*/
.group-a-center{
  display: flex;
  justify-content: space-around;
}

/*Чекбоксы-кнопки пола*/
.button-gender {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
    background-color: #13334C;
    color: #ffffff;
    border-radius: 3px;
    transition: background-color .3s ease;
    text-align: center;
    box-sizing: border-box;
    width: 81px;
    height: 59px;
}

.button-gender .field-label {
    font-size: 48px !important;
    margin: 0;
    color: #ffffff;
}

.button-gender .field-label span{
    width: 100%;
    height: 100%;
}

.button-gender:has(> .field-value .checked){
    width: 77px;
    height: 52px;
    background-color: #0d2638;
    outline: 2px solid #13334C;
    outline-offset: 2px;
    margin: 4px;
}

.button-gender .field-value{
    display: none;
}

.button-gender.female {
    background-image: url("data:image/svg+xml,%3Csvg fill='%23FFFFFF' viewBox='-10.5 0 32 32' version='1.1' xmlns='http://www.w3.org/2000/svg' stroke='%23FFFFFF' stroke-width='0.00032'%3E%3Cg id='SVGRepo_bgCarrier' stroke-width='0'%3E%3C/g%3E%3Cg id='SVGRepo_tracerCarrier' stroke-linecap='round' stroke-linejoin='round'%3E%3C/g%3E%3Cg id='SVGRepo_iconCarrier'%3E%3Ctitle%3Efemale%3C/title%3E%3Cpath d='M7.656 7.344c0-1.313-1.063-2.375-2.375-2.375-1.281 0-2.344 1.063-2.344 2.375s1.063 2.375 2.344 2.375c1.313 0 2.375-1.063 2.375-2.375zM8.969 11.219l1.563 4.906c0.156 0.406-0.094 0.844-0.5 0.969-0.406 0.156-0.844-0.094-1-0.5l-0.844-2.594c-0.125-0.406-0.5-0.75-0.844-0.75-0.313 0-0.469 0.344-0.344 0.75l1.813 5.594c0.125 0.406-0.125 0.75-0.563 0.75h-0.781v6.344c0 0.438-0.375 0.781-0.781 0.781-0.438 0-0.813-0.344-0.813-0.781v-6.344h-1.188v6.344c0 0.438-0.344 0.781-0.781 0.781s-0.781-0.344-0.781-0.781v-6.344h-0.781c-0.438 0-0.688-0.344-0.563-0.75l1.813-5.594c0.125-0.406-0.031-0.75-0.375-0.75-0.313 0-0.688 0.344-0.844 0.75l-0.844 2.594c-0.125 0.406-0.563 0.656-0.969 0.5-0.438-0.125-0.656-0.563-0.531-0.969l1.594-4.906c0.125-0.406 0.594-0.75 1.031-0.75h5.281c0.438 0 0.875 0.344 1.031 0.75z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
    background-position: center;
}

.button-gender.male {
    background-image: url("data:image/svg+xml,%3Csvg fill='%23FFFFFF' viewBox='-11.5 0 32 32' version='1.1' xmlns='http://www.w3.org/2000/svg' stroke='%23FFFFFF' stroke-width='0.00032'%3E%3Cg id='SVGRepo_bgCarrier' stroke-width='0'%3E%3C/g%3E%3Cg id='SVGRepo_tracerCarrier' stroke-linecap='round' stroke-linejoin='round'%3E%3C/g%3E%3Cg id='SVGRepo_iconCarrier'%3E%3Ctitle%3Emale%3C/title%3E%3Cpath d='M7 7.344c0-1.313-1.063-2.375-2.375-2.375-1.281 0-2.344 1.063-2.344 2.375s1.063 2.375 2.344 2.375c1.313 0 2.375-1.063 2.375-2.375zM0.781 10.5h7.906c0.438 0 0.781 0.344 0.781 0.781v5.125c0 0.438-0.344 0.813-0.781 0.813v0c-0.438 0-0.781-0.375-0.781-0.813v-2.344c0-0.438-0.219-0.813-0.5-0.813s-0.5 0.375-0.5 0.813v12.625c0 0.438-0.344 0.781-0.781 0.781v0c-0.438 0-0.781-0.344-0.781-0.781v-5.531c0-0.438-0.281-0.781-0.594-0.781-0.344 0-0.594 0.344-0.594 0.781v5.531c0 0.438-0.375 0.781-0.813 0.781v0c-0.438 0-0.781-0.344-0.781-0.781v-12.625c0-0.438-0.219-0.813-0.5-0.813-0.25 0-0.469 0.375-0.469 0.813v2.344c0 0.438-0.375 0.813-0.813 0.813v0c-0.438 0-0.781-0.375-0.781-0.813v-5.125c0-0.438 0.344-0.781 0.781-0.781z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
    background-position: center;
}

.button-gender .field-label span {
    color: transparent;
}

/*Замена чекбокса в гриде на галочку и крестик*/
.checkbox-colored div label{
    width: 16px !important;
    height: 16px !important;
    background-image: url("data:image/svg+xml, %3Csvg width='800px' height='800px' viewBox='0 0 512 512' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' aria-hidden='true' role='img' class='iconify iconify--fxemoji' preserveAspectRatio='xMidYMid meet'%3E%3Cpath fill='%23FF473E' d='M330.443 256l136.765-136.765c14.058-14.058 14.058-36.85 0-50.908l-23.535-23.535c-14.058-14.058-36.85-14.058-50.908 0L256 181.557L119.235 44.792c-14.058-14.058-36.85-14.058-50.908 0L44.792 68.327c-14.058 14.058-14.058 36.85 0 50.908L181.557 256L44.792 392.765c-14.058 14.058-14.058 36.85 0 50.908l23.535 23.535c14.058 14.058 36.85 14.058 50.908 0L256 330.443l136.765 136.765c14.058 14.058 36.85 14.058 50.908 0l23.535-23.535c14.058-14.058 14.058-36.85 0-50.908L330.443 256z'%3E%3C/path%3E%3C/svg%3E ") !important;
    background-size: contain !important;
}

.checkbox-colored div label.checked {
    background-image: url("data:image/svg+xml, %3Csvg fill='%23000000' width='800px' height='800px' viewBox='0 0 14 14' role='img' focusable='false' aria-hidden='true' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill='green' d='M13 4.1974q0 .3097-.21677.5265L7.17806 10.329l-1.0529 1.0529q-.21677.2168-.52645.2168-.30968 0-.52645-.2168L4.01935 10.329 1.21677 7.5264Q1 7.3097 1 7t.21677-.5265l1.05291-1.0529q.21677-.2167.52645-.2167.30968 0 .52645.2167l2.27613 2.2839 5.07871-5.0864q.21677-.2168.52645-.2168.30968 0 .52645.2168l1.05291 1.0529Q13 3.8877 13 4.1974z'/%3E%3C/svg%3E ") !important;
}

/*Выравнивание первой кнопки по правому краю*/
body:has(> .ws1 .cashier-page) .popup .popup-buttons .button:first-child {
  float: none;
}

/*Светлая кнопка*/
.button-l{
  background-color: white;
  border: 3px solid #13334C;
  color: #13334C;
}

/*Кнопка-квадрат (+/-)*/
.button-square {
    width: 32px;
    height: 32px;
    display: block;
    text-align: center;
    background-color: #77BA43;
    color: #000000;
    border-radius: 4px;
    font-size: 20px;
    line-height: 30px;
}

/*Увеличенный чекбокс в гриде*/
body:has(> .ws1 .cashier-page) .grid-a .col.check label, body:has(> .ws1 .cashier-page) .grid-a .col.selection label{
  width: 20px !important;
  height: 20px !important;
}

/*Кнопка ссылка*/
.button-link-touch{
  font-size: 16px;
  line-height: 28px;
  background-color: unset;
  color: #158DDC;
}

/*Кнопки для меню*/
.button-b-touch-menu {
    width: 300px;
    height: 60px;
    line-height: 50px;
}

/*Контейнер кнопок*/
.group.flex .content {
    display: flex;
    flex-direction: row;
    gap: 12px;
    flex-wrap: wrap;
}

.group.flex-center .content {
  justify-content: center;
}

.grid-br .item{
  height: 40px;
}

/*Выравнивание кнопок по центру в confirm сообщениях*/
body:has(> .ws1 .cashier-page) .popup.confirm .popup-buttons {
    display: flex;
    gap: 15px;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

body:has(> .ws1 .cashier-page) .popup.confirm .popup-buttons .button.secondary {
    border: none;
}

/**/
body:has(> .ws1 .cashier-page) .button-b.disabled{
  display: grid;
}

.grid-pos-fixed{
  position: fixed;
  width: 100%;
}

body:has(> .ws1 .cashier-page) .paging-bar .next span, body:has(> .ws1 .cashier-page) .paging-bar .prev span{
  background-size: 24px 24px, 0 0 !important;
  width: 24px !important;
}

body:has(> .ws1 .cashier-page) .paging-bar .paging-page span{
  min-width: 30px !important;
  height: 30px !important;
  font-size: 16px;
}

body:has(> .ws1 .cashier-page) .grid .footer-toolbars .export {
    margin-left: 20px;
}